Skip to main content
GET
/
customer
/
api
/
open
/
v1
/
loyalty
/
customers
/
{customerId}
/
history
Get customer loyalty point history
curl --request GET \
  --url https://api.bitbybit.studio/customer/api/open/v1/loyalty/customers/{customerId}/history \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "companyId": 123,
      "customerId": "<string>",
      "walletId": "<string>",
      "entryType": "<string>",
      "pointsDelta": "<string>",
      "availableAfter": "<string>",
      "reservedAfter": "<string>",
      "referenceType": "<string>",
      "referenceId": "<string>",
      "idempotencyKey": "<string>",
      "note": "<string>",
      "metadata": {},
      "occurredAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "createdById": 123
    }
  ],
  "pagination": {
    "limit": 123,
    "hasMore": true,
    "nextBefore": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://knowledge.bitbybit.studio/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API key for authentication. Create one in Settings > Developer.

Path Parameters

customerId
string
required

Query Parameters

filter
enum<string>
default:all
Available options:
all,
points_added,
points_deducted
limit
integer
default:20
Required range: 1 <= x <= 100
before
string<date-time>

Response

200 - application/json

Success

data
object[]
pagination
object